Name:           mtkbabel
Version:        0.8.2
Release:        2%{?dist}
Summary:        Program to Operate the i-Blue 747 GPS Data Logger
Group:          Applications/Communications
License:        GPLv2+
Url:            https://sourceforge.net/projects/mtkbabel
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
MTKBabel is a Perl program to operate the i-Blue 747 GPS data logger.
It should work also with other GPS devices based on the MediaTek MTK
chipset. It is free software released under the GPL license.

The main capabilities are:

  * Command line interface
  * Save data log in GPX and raw binary format
  * If required retrieve all the data, also the old one being overlapped
  * Change logging criteria: time, distance, speed
  * Change log format
  * START/STOP logging
  * Set OVERLAP or STOP method on memory full
  * Erase the internal memory

The program is written in Perl, and it was tested on Linux via USB
connection. One goal is easy portability to C and small RAM footprint.

Authors:
--------
    Niccolo Rigacci <niccolo@rigacci.org>

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -D -m 0755 mtkbabel $RPM_BUILD_ROOT%{_bindir}/mtkbabel
install -D -m 0644 mtkbabel.1 $RPM_BUILD_ROOT%{_mandir}/man1/mtkbabel.1
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MtkExtensionsv1.xsd README changelog copyright
%{_bindir}/*
%{_mandir}/man1/*.*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Apr 13 2010 Daniel Rindt <drindt@visetics.com> 0.8.2-1
- bump to new upstream release 0.8.2
* Sat Mar 27 2010 Daniel Rindt <drindt@visetics.com> 0.8.1-1
- bump to new upstream release 0.8.1
* Fri Aug 3 2009 Daniel Rindt <drindt@visetics.com> 0.8-1
- Created new package, version 0.8.
